Package org.optaplanner.core.config.solver

## Class SolverManagerConfig

- java.lang.Object
- - org.optaplanner.core.config.AbstractConfig<SolverManagerConfig>
  - - org.optaplanner.core.config.solver.SolverManagerConfig

-     public class SolverManagerConfig
      extends AbstractConfig<SolverManagerConfig>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `PARALLEL_SOLVER_COUNT_AUTO` |
    `protected String` | `parallelSolverCount` |
    `protected Class<? extends ThreadFactory>` | `threadFactoryClass` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SolverManagerConfig()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SolverManagerConfig` | `copyConfig()` | Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
    `protected int` | `getAvailableProcessors()` |
    `String` | `getParallelSolverCount()` |
    `Class<? extends ThreadFactory>` | `getThreadFactoryClass()` |
    `SolverManagerConfig` | `inherit​(SolverManagerConfig inheritedConfig)` | Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).
    `Integer` | `resolveParallelSolverCount()` |
    `protected int` | `resolveParallelSolverCountAutomatically​(int availableProcessorCount)` |
    `void` | `setParallelSolverCount​(String parallelSolverCount)` |
    `void` | `setThreadFactoryClass​(Class<? extends ThreadFactory> threadFactoryClass)` |
    `SolverManagerConfig` | `withParallelSolverCount​(String parallelSolverCount)` |
    `SolverManagerConfig` | `withThreadFactoryClass​(Class<? extends ThreadFactory> threadFactoryClass)` |

    - ### Methods inherited from class org.optaplanner.core.config.AbstractConfig

      `deduceEntityDescriptor, deduceVariableDescriptor, deduceVariableDescriptorList, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PARALLEL_SOLVER_COUNT_AUTO

          public static final String PARALLEL_SOLVER_COUNT_AUTO

      See Also:
        Constant Field Values

    - #### parallelSolverCount

          protected String parallelSolverCount

    - #### threadFactoryClass

          protected Class<? extends ThreadFactory> threadFactoryClass

  - ### Constructor Detail

    - #### SolverManagerConfig

          public SolverManagerConfig()

  - ### Method Detail

    - #### getParallelSolverCount

          public String getParallelSolverCount()

    - #### setParallelSolverCount

          public void setParallelSolverCount​(String parallelSolverCount)

    - #### getThreadFactoryClass

          public Class<? extends ThreadFactory> getThreadFactoryClass()

    - #### setThreadFactoryClass

          public void setThreadFactoryClass​(Class<? extends ThreadFactory> threadFactoryClass)

    - #### withParallelSolverCount

          public SolverManagerConfig withParallelSolverCount​(String parallelSolverCount)

    - #### withThreadFactoryClass

          public SolverManagerConfig withThreadFactoryClass​(Class<? extends ThreadFactory> threadFactoryClass)

    - #### resolveParallelSolverCount

          public Integer resolveParallelSolverCount()

    - #### getAvailableProcessors

          protected int getAvailableProcessors()

    - #### resolveParallelSolverCountAutomatically

          protected int resolveParallelSolverCountAutomatically​(int availableProcessorCount)

    - #### inherit

          public SolverManagerConfig inherit​(SolverManagerConfig inheritedConfig)

      Description copied from class: `AbstractConfig`
      Inherits each property of the `inheritedConfig` unless that property (or a semantic alternative) is defined by this instance (which overwrites the inherited behaviour).

      After the inheritance, if a property on this `AbstractConfig` composition is replaced, it should not affect the inherited composition instance.

      Specified by:
        `inherit` in class `AbstractConfig<SolverManagerConfig>`
      Parameters:
        `inheritedConfig` - never null
      Returns:
        this

    - #### copyConfig

          public SolverManagerConfig copyConfig()

      Description copied from class: `AbstractConfig`
      Typically implemented by constructing a new instance and calling `AbstractConfig.inherit(AbstractConfig)` on it
      Specified by:
        `copyConfig` in class `AbstractConfig<SolverManagerConfig>`
      Returns:
        new instance